API referenceInboxes

Update a thread

PATCH/inboxes/{id}/threads/{threadId}

Changes status, labels (labels, add_labels, remove_labels), read state and the assignee (assignee_id, a member of the organization, or null). Status, label and assignment changes are recorded in the thread activity.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64
threadId*string
Length1 <= length <= 64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/inboxes/string/threads/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "thread",  "id": "string",  "inbox_id": "string",  "subject": "string",  "status": "open",  "labels": [    "string"  ],  "participants": [    "string"  ],  "message_count": 0,  "failed_message_count": 0,  "unread_count": 0,  "assignee_id": "string",  "last_message_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z"}